Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3460 in orxonox.OLD


Ignore:
Timestamp:
Mar 9, 2005, 1:13:33 AM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: should compile again:
reverted the state of orxonox:
svn merge trunk trunk -r 3458:3456

Location:
orxonox/trunk
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/config.h.in

    r3457 r3460  
    5959#undef HAVE_SDL_SDL_IMAGE_H
    6060
    61 /* Define to 1 if you have the <SDL/SDL_ttf.h> header file. */
    62 #undef HAVE_SDL_SDL_TTF_H
    63 
    6461/* Define to 1 if you have the `sqrt' function. */
    6562#undef HAVE_SQRT
  • orxonox/trunk/configure

    r3457 r3460  
    62806280        echo "SDL_image library not found."
    62816281        echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
    6282         echo "------------------"
    6283         exit -1
    6284      fi
    6285 fi
    6286 
    6287 #---------#
    6288 # SDL_ttf #
    6289 #---------#
    6290 def_sdl_ttf=yes
    6291 # checking for SDL_ttf-headers
    6292 
    6293 for ac_header in SDL/SDL_ttf.h
    6294 do
    6295 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    6296 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6297   echo "$as_me:$LINENO: checking for $ac_header" >&5
    6298 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6299 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6300   echo $ECHO_N "(cached) $ECHO_C" >&6
    6301 fi
    6302 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    6303 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    6304 else
    6305   # Is the header compilable?
    6306 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    6307 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    6308 cat >conftest.$ac_ext <<_ACEOF
    6309 /* confdefs.h.  */
    6310 _ACEOF
    6311 cat confdefs.h >>conftest.$ac_ext
    6312 cat >>conftest.$ac_ext <<_ACEOF
    6313 /* end confdefs.h.  */
    6314 $ac_includes_default
    6315 #include <$ac_header>
    6316 _ACEOF
    6317 rm -f conftest.$ac_objext
    6318 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6319   (eval $ac_compile) 2>conftest.er1
    6320   ac_status=$?
    6321   grep -v '^ *+' conftest.er1 >conftest.err
    6322   rm -f conftest.er1
    6323   cat conftest.err >&5
    6324   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6325   (exit $ac_status); } &&
    6326          { ac_try='test -z "$ac_c_werror_flag"
    6327                          || test ! -s conftest.err'
    6328   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6329   (eval $ac_try) 2>&5
    6330   ac_status=$?
    6331   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6332   (exit $ac_status); }; } &&
    6333          { ac_try='test -s conftest.$ac_objext'
    6334   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6335   (eval $ac_try) 2>&5
    6336   ac_status=$?
    6337   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6338   (exit $ac_status); }; }; then
    6339   ac_header_compiler=yes
    6340 else
    6341   echo "$as_me: failed program was:" >&5
    6342 sed 's/^/| /' conftest.$ac_ext >&5
    6343 
    6344 ac_header_compiler=no
    6345 fi
    6346 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6347 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    6348 echo "${ECHO_T}$ac_header_compiler" >&6
    6349 
    6350 # Is the header present?
    6351 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    6352 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    6353 cat >conftest.$ac_ext <<_ACEOF
    6354 /* confdefs.h.  */
    6355 _ACEOF
    6356 cat confdefs.h >>conftest.$ac_ext
    6357 cat >>conftest.$ac_ext <<_ACEOF
    6358 /* end confdefs.h.  */
    6359 #include <$ac_header>
    6360 _ACEOF
    6361 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    6362   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    6363   ac_status=$?
    6364   grep -v '^ *+' conftest.er1 >conftest.err
    6365   rm -f conftest.er1
    6366   cat conftest.err >&5
    6367   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6368   (exit $ac_status); } >/dev/null; then
    6369   if test -s conftest.err; then
    6370     ac_cpp_err=$ac_c_preproc_warn_flag
    6371     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    6372   else
    6373     ac_cpp_err=
    6374   fi
    6375 else
    6376   ac_cpp_err=yes
    6377 fi
    6378 if test -z "$ac_cpp_err"; then
    6379   ac_header_preproc=yes
    6380 else
    6381   echo "$as_me: failed program was:" >&5
    6382 sed 's/^/| /' conftest.$ac_ext >&5
    6383 
    6384   ac_header_preproc=no
    6385 fi
    6386 rm -f conftest.err conftest.$ac_ext
    6387 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    6388 echo "${ECHO_T}$ac_header_preproc" >&6
    6389 
    6390 # So?  What about this header?
    6391 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    6392   yes:no: )
    6393     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    6394 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    6395     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    6396 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    6397     ac_header_preproc=yes
    6398     ;;
    6399   no:yes:* )
    6400     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    6401 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    6402     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    6403 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    6404     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    6405 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    6406     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    6407 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    6408     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    6409 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    6410     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    6411 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    6412     (
    6413       cat <<\_ASBOX
    6414 ## ---------------------------------------------- ##
    6415 ## Report this to orxonox-dev at mail.datacore.ch ##
    6416 ## ---------------------------------------------- ##
    6417 _ASBOX
    6418     ) |
    6419       sed "s/^/$as_me: WARNING:     /" >&2
    6420     ;;
    6421 esac
    6422 echo "$as_me:$LINENO: checking for $ac_header" >&5
    6423 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6424 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6425   echo $ECHO_N "(cached) $ECHO_C" >&6
    6426 else
    6427   eval "$as_ac_Header=\$ac_header_preproc"
    6428 fi
    6429 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    6430 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    6431 
    6432 fi
    6433 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    6434   cat >>confdefs.h <<_ACEOF
    6435 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    6436 _ACEOF
    6437 
    6438 else
    6439   echo "sdl_ttf not found."; def_sdl_ttf=no
    6440 fi
    6441 
    6442 done
    6443 
    6444 
    6445 if test x$def_sdl_ttf = xyes; then
    6446 # checking for SDL_ttf-lib
    6447   echo "$as_me:$LINENO: checking for main in -lSDL_ttf" >&5
    6448 echo $ECHO_N "checking for main in -lSDL_ttf... $ECHO_C" >&6
    6449 if test "${ac_cv_lib_SDL_ttf_main+set}" = set; then
    6450   echo $ECHO_N "(cached) $ECHO_C" >&6
    6451 else
    6452   ac_check_lib_save_LIBS=$LIBS
    6453 LIBS="-lSDL_ttf  $LIBS"
    6454 cat >conftest.$ac_ext <<_ACEOF
    6455 /* confdefs.h.  */
    6456 _ACEOF
    6457 cat confdefs.h >>conftest.$ac_ext
    6458 cat >>conftest.$ac_ext <<_ACEOF
    6459 /* end confdefs.h.  */
    6460 
    6461 
    6462 int
    6463 main ()
    6464 {
    6465 main ();
    6466   ;
    6467   return 0;
    6468 }
    6469 _ACEOF
    6470 rm -f conftest.$ac_objext conftest$ac_exeext
    6471 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6472   (eval $ac_link) 2>conftest.er1
    6473   ac_status=$?
    6474   grep -v '^ *+' conftest.er1 >conftest.err
    6475   rm -f conftest.er1
    6476   cat conftest.err >&5
    6477   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6478   (exit $ac_status); } &&
    6479          { ac_try='test -z "$ac_c_werror_flag"
    6480                          || test ! -s conftest.err'
    6481   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6482   (eval $ac_try) 2>&5
    6483   ac_status=$?
    6484   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6485   (exit $ac_status); }; } &&
    6486          { ac_try='test -s conftest$ac_exeext'
    6487   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6488   (eval $ac_try) 2>&5
    6489   ac_status=$?
    6490   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6491   (exit $ac_status); }; }; then
    6492   ac_cv_lib_SDL_ttf_main=yes
    6493 else
    6494   echo "$as_me: failed program was:" >&5
    6495 sed 's/^/| /' conftest.$ac_ext >&5
    6496 
    6497 ac_cv_lib_SDL_ttf_main=no
    6498 fi
    6499 rm -f conftest.err conftest.$ac_objext \
    6500       conftest$ac_exeext conftest.$ac_ext
    6501 LIBS=$ac_check_lib_save_LIBS
    6502 fi
    6503 echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_main" >&5
    6504 echo "${ECHO_T}$ac_cv_lib_SDL_ttf_main" >&6
    6505 if test $ac_cv_lib_SDL_ttf_main = yes; then
    6506   FOUND_SDL_ttf=yes
    6507 fi
    6508 
    6509      if test x$FOUND_SDL_ttf = xyes ; then
    6510        LIBS="$LIBS -lSDL_ttf"
    6511      else
    6512         echo "------------------"
    6513         echo "SDL_ttf library not found."
    6514         echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
    65156282        echo "------------------"
    65166283        exit -1
  • orxonox/trunk/configure.ac

    r3457 r3460  
    388388fi
    389389
    390 #---------#
    391 # SDL_ttf #
    392 #---------#
    393 def_sdl_ttf=yes
    394 # checking for SDL_ttf-headers
    395   AC_CHECK_HEADERS([SDL/SDL_ttf.h] ,,
    396       [echo "sdl_ttf not found."; def_sdl_ttf=no ])
    397 
    398 if test x$def_sdl_ttf = xyes; then
    399 # checking for SDL_ttf-lib
    400   AC_CHECK_LIB([SDL_ttf], [main], [FOUND_SDL_ttf=yes])
    401      if test x$FOUND_SDL_ttf = xyes ; then
    402        LIBS="$LIBS -lSDL_ttf"
    403      else
    404         echo "------------------"
    405         echo "SDL_ttf library not found."
    406         echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
    407         echo "------------------"
    408         exit -1
    409      fi   
    410 fi
    411 
    412390## case no SDL-image:
    413391if test x$def_sdl_image = xno; then
  • orxonox/trunk/src/Makefile.am

    r3458 r3460  
    3939                 skysphere.cc \
    4040                 light.cc \
    41                  sfont/fontset.cc \
    42                  sfont/glfont.cc
     41                 sfont/fontset.cc
    4342
    4443noinst_HEADERS = ability.h \
     
    8483                 skysphere.h \
    8584                 light.h \
    86                  sfont/fontset.h \
    87                  sfont/glfont.h
     85                 sfont/fontset.h
    8886
    8987## orxonox.conf will be used from home-dir instead.
  • orxonox/trunk/src/Makefile.in

    r3459 r3460  
    6464        helper_parent.$(OBJEXT) track_manager.$(OBJEXT) \
    6565        matrix.$(OBJEXT) curve.$(OBJEXT) glmenu_imagescreen.$(OBJEXT) \
    66         skysphere.$(OBJEXT) light.$(OBJEXT) fontset.$(OBJEXT) \
    67         glfont.$(OBJEXT)
     66        skysphere.$(OBJEXT) light.$(OBJEXT) fontset.$(OBJEXT)
    6867orxonox_OBJECTS = $(am_orxonox_OBJECTS)
    6968orxonox_LDADD = $(LDADD)
     
    7877@AMDEP_TRUE@    ./$(DEPDIR)/data_tank.Po \
    7978@AMDEP_TRUE@    ./$(DEPDIR)/environment.Po ./$(DEPDIR)/fontset.Po \
    80 @AMDEP_TRUE@    ./$(DEPDIR)/game_loader.Po ./$(DEPDIR)/glfont.Po \
     79@AMDEP_TRUE@    ./$(DEPDIR)/game_loader.Po \
    8180@AMDEP_TRUE@    ./$(DEPDIR)/glmenu_imagescreen.Po \
    8281@AMDEP_TRUE@    ./$(DEPDIR)/helper_parent.Po \
     
    250249                 skysphere.cc \
    251250                 light.cc \
    252                  sfont/fontset.cc \
    253                  sfont/glfont.cc
     251                 sfont/fontset.cc
    254252
    255253noinst_HEADERS = ability.h \
     
    295293                 skysphere.h \
    296294                 light.h \
    297                  sfont/fontset.h \
    298                  sfont/glfont.h
     295                 sfont/fontset.h
    299296
    300297EXTRA_DIST = orxonox.conf
     
    389386@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fontset.Po@am__quote@
    390387@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/game_loader.Po@am__quote@
    391 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glfont.Po@am__quote@
    392388@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glmenu_imagescreen.Po@am__quote@
    393389@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helper_parent.Po@am__quote@
     
    523519@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    524520@am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o fontset.obj `if test -f 'sfont/fontset.cc'; then $(CYGPATH_W) 'sfont/fontset.cc'; else $(CYGPATH_W) '$(srcdir)/sfont/fontset.cc'; fi`
    525 
    526 glfont.o: sfont/glfont.cc
    527 @am__fastdepCXX_TRUE@   if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT glfont.o -MD -MP -MF "$(DEPDIR)/glfont.Tpo" -c -o glfont.o `test -f 'sfont/glfont.cc' || echo '$(srcdir)/'`sfont/glfont.cc; \
    528 @am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/glfont.Tpo" "$(DEPDIR)/glfont.Po"; else rm -f "$(DEPDIR)/glfont.Tpo"; exit 1; fi
    529 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sfont/glfont.cc' object='glfont.o' libtool=no @AMDEPBACKSLASH@
    530 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      depfile='$(DEPDIR)/glfont.Po' tmpdepfile='$(DEPDIR)/glfont.TPo' @AMDEPBACKSLASH@
    531 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    532 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o glfont.o `test -f 'sfont/glfont.cc' || echo '$(srcdir)/'`sfont/glfont.cc
    533 
    534 glfont.obj: sfont/glfont.cc
    535 @am__fastdepCXX_TRUE@   if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT glfont.obj -MD -MP -MF "$(DEPDIR)/glfont.Tpo" -c -o glfont.obj `if test -f 'sfont/glfont.cc'; then $(CYGPATH_W) 'sfont/glfont.cc'; else $(CYGPATH_W) '$(srcdir)/sfont/glfont.cc'; fi`; \
    536 @am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/glfont.Tpo" "$(DEPDIR)/glfont.Po"; else rm -f "$(DEPDIR)/glfont.Tpo"; exit 1; fi
    537 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sfont/glfont.cc' object='glfont.obj' libtool=no @AMDEPBACKSLASH@
    538 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      depfile='$(DEPDIR)/glfont.Po' tmpdepfile='$(DEPDIR)/glfont.TPo' @AMDEPBACKSLASH@
    539 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    540 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o glfont.obj `if test -f 'sfont/glfont.cc'; then $(CYGPATH_W) 'sfont/glfont.cc'; else $(CYGPATH_W) '$(srcdir)/sfont/glfont.cc'; fi`
    541521uninstall-info-am:
    542522
Note: See TracChangeset for help on using the changeset viewer.